com.holonplatform.vaadin.flow.components.builders

## Interface SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
  All Superinterfaces:
    BaseValidatableInputBuilder<T,ValidatableSingleSelect<T>,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, ComponentConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, DatastoreDataProviderConfigurator<ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, DeferrableLocalizationConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, FocusableConfigurator<com.vaadin.flow.component.Component,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasAutofocusConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasDeferrableLocalization, HasElementConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasEnabledConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasItemCaptionConfigurator<ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasItemEnableConfigurator<ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasLabelConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasPlaceholderConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasSizeConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, HasStyleConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, ItemSetConfigurator<SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, SelectableInputConfigurator<T,T,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, SingleSelectableInputConfigurator<T,ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, SingleSelectConfigurator<T,ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, ValidatableInputConfigurator<T,ValidatableSingleSelect<T>,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>
  Enclosing interface:
    SingleSelectConfigurator<T,ITEM,B extends SingleSelectConfigurator<T,ITEM,B>>

      public static interface SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>
      extends SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>, BaseValidatableInputBuilder<T,ValidatableSingleSelect<T>,SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>>

  `SingleSelect` input builder with validation and `DatastoreDataProviderConfigurator` support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectConfigurator

      `SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C extends SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C>>, SingleSelectConfigurator.DatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,C extends SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,C>>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>>, SingleSelectConfigurator.SingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D,C>>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectConfigurator

      `create, create, create, create, emptySelectionAllowed, emptySelectionCaption, emptySelectionCaption, emptySelectionCaption, itemLabelGenerator, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2019 The Holon Platform. All rights reserved.